Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006232 [JEDI VCL] 00 JVCL Components feature always 2013-12-04 12:34 2015-09-14 13:20
Reporter Torbins View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006232: Optimization of CopyFieldValue in JvMemoryDataset.pas
Description CopyFieldValue has optimization for AnsiString, but has no optimization for WideString. But WideStrings are very likely to be used in Delphi 2009 and up. So such simple code can be added to fix this problem:
ftWideString:
  DestField.AsWideString := SourceField.AsWideString;
Additional Information
Tags No tags attached.
Attached Files 7z file icon Jira 6232.7z [^] (452,382 bytes) 2013-12-16 11:36

- Relationships

-  Notes
(0020751)
obones (administrator)
2013-12-13 11:10

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020848)
Torbins (reporter)
2013-12-16 11:39

I have added demo project. Without fix I get 593 ticks (average) on my computer. And after fix I get 577.
(0020879)
obones (administrator)
2013-12-18 15:27

This is now in GIT

- Issue History
Date Modified Username Field Change
2013-12-04 12:34 Torbins New Issue
2013-12-13 11:10 obones Note Added: 0020751
2013-12-13 11:10 obones Status new => feedback
2013-12-16 11:36 Torbins File Added: Jira 6232.7z
2013-12-16 11:39 Torbins Note Added: 0020848
2013-12-16 17:14 obones Status feedback => acknowledged
2013-12-18 15:27 obones Note Added: 0020879
2013-12-18 15:27 obones Status acknowledged => resolved
2013-12-18 15:27 obones Fixed in Version => Daily / GIT
2013-12-18 15:27 obones Resolution open => fixed
2013-12-18 15:27 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker